# KhadhroonyXtbJfx
## Project Description
Trading Client for XTB Platform developed in Java language.

We used the [xAPI Protocol Documentation](http://developers.xstore.pro/documentation/2.5.0 "xAPI Protocol Documentation v2.5.0") as main doc to implement a simple (without OHLC or Candlestick for the moment) - multi-connections client to the XTB servers

As indicated in the documentation, the communication can be with Sockets or Websockets (but not both) so we opted for the sockets.

We had choice to use [JavaFX](https://openjfx.io/ "OpenJFX LTS V21") or [SWT](https://www.eclipse.org/swt/)  as graphical layer but we opted for JavaFX as it can be easier than SWT to generate an executable and to add charts later.

The project is using [Gradle](https://gradle.org/ "Gradle Build Tool V8.6") for building and dependencies management. 

The communication with the server is using Json format so we used the [Jackson Json Library](https://github.com/FasterXML/jackson) to serialize requests from beans to Json and to deserialize received responses.

The local storage of data is using the [mapDB](https://github.com/jankotek/mapdb/tree/mapdb-3.1.0 "MapDB: database engine") library

## Current Version
0.0.2

## Last Change
Add .gitignore

##TODO
- &#9745; initialize project
- &#9745; add .gitignore
- &#9744; initialize gradle
